source: filezilla/trunk/fuentes/tests/Makefile.in @ 3185

Last change on this file since 3185 was 3185, checked in by jrpelegrina, 2 years ago

Update new version: 3.15.02

File size: 42.9 KB
Line 
1# Makefile.in generated by automake 1.14.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# Rules for the test code (use `make check` to execute)
18VPATH = @srcdir@
19am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
20am__make_running_with_option = \
21  case $${target_option-} in \
22      ?) ;; \
23      *) echo "am__make_running_with_option: internal error: invalid" \
24              "target option '$${target_option-}' specified" >&2; \
25         exit 1;; \
26  esac; \
27  has_opt=no; \
28  sane_makeflags=$$MAKEFLAGS; \
29  if $(am__is_gnu_make); then \
30    sane_makeflags=$$MFLAGS; \
31  else \
32    case $$MAKEFLAGS in \
33      *\\[\ \   ]*) \
34        bs=\\; \
35        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
36          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
37    esac; \
38  fi; \
39  skip_next=no; \
40  strip_trailopt () \
41  { \
42    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
43  }; \
44  for flg in $$sane_makeflags; do \
45    test $$skip_next = yes && { skip_next=no; continue; }; \
46    case $$flg in \
47      *=*|--*) continue;; \
48        -*I) strip_trailopt 'I'; skip_next=yes;; \
49      -*I?*) strip_trailopt 'I';; \
50        -*O) strip_trailopt 'O'; skip_next=yes;; \
51      -*O?*) strip_trailopt 'O';; \
52        -*l) strip_trailopt 'l'; skip_next=yes;; \
53      -*l?*) strip_trailopt 'l';; \
54      -[dEDm]) skip_next=yes;; \
55      -[JT]) skip_next=yes;; \
56    esac; \
57    case $$flg in \
58      *$$target_option*) has_opt=yes; break;; \
59    esac; \
60  done; \
61  test $$has_opt = yes
62am__make_dryrun = (target_option=n; $(am__make_running_with_option))
63am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
64pkgdatadir = $(datadir)/@PACKAGE@
65pkgincludedir = $(includedir)/@PACKAGE@
66pkglibdir = $(libdir)/@PACKAGE@
67pkglibexecdir = $(libexecdir)/@PACKAGE@
68am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
69install_sh_DATA = $(install_sh) -c -m 644
70install_sh_PROGRAM = $(install_sh) -c
71install_sh_SCRIPT = $(install_sh) -c
72INSTALL_HEADER = $(INSTALL_DATA)
73transform = $(program_transform_name)
74NORMAL_INSTALL = :
75PRE_INSTALL = :
76POST_INSTALL = :
77NORMAL_UNINSTALL = :
78PRE_UNINSTALL = :
79POST_UNINSTALL = :
80build_triplet = @build@
81host_triplet = @host@
82TESTS = test$(EXEEXT)
83check_PROGRAMS = $(am__EXEEXT_1)
84subdir = tests
85DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
86        $(top_srcdir)/config/depcomp $(top_srcdir)/config/test-driver
87ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
88am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_define.m4 \
89        $(top_srcdir)/m4/ax_check_link_flag.m4 \
90        $(top_srcdir)/m4/check_atomic.m4 \
91        $(top_srcdir)/m4/check_libc++.m4 \
92        $(top_srcdir)/m4/check_steady_clock.m4 \
93        $(top_srcdir)/m4/check_thread_local.m4 \
94        $(top_srcdir)/m4/check_time.m4 $(top_srcdir)/m4/cppunit.m4 \
95        $(top_srcdir)/m4/cxx_compile_stdcxx_14.m4 \
96        $(top_srcdir)/m4/d-type.m4 \
97        $(top_srcdir)/m4/fz_check_pugixml.m4 \
98        $(top_srcdir)/m4/fz_checkversion.m4 \
99        $(top_srcdir)/m4/icopyhookw.m4 $(top_srcdir)/m4/libtool.m4 \
100        $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
101        $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
102        $(top_srcdir)/m4/map_emplace.m4 $(top_srcdir)/m4/pkg.m4 \
103        $(top_srcdir)/m4/wxwin.m4 $(top_srcdir)/configure.ac
104am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
105        $(ACLOCAL_M4)
106mkinstalldirs = $(install_sh) -d
107CONFIG_HEADER = $(top_builddir)/src/include/config.h
108CONFIG_CLEAN_FILES =
109CONFIG_CLEAN_VPATH_FILES =
110am__EXEEXT_1 = test$(EXEEXT)
111am_test_OBJECTS = test-test.$(OBJEXT) test-cmpnatural.$(OBJEXT) \
112        test-dirparsertest.$(OBJEXT) test-localpathtest.$(OBJEXT) \
113        test-serverpathtest.$(OBJEXT)
114test_OBJECTS = $(am_test_OBJECTS)
115test_LDADD = $(LDADD)
116AM_V_lt = $(am__v_lt_@AM_V@)
117am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
118am__v_lt_0 = --silent
119am__v_lt_1 =
120test_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
121        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(test_CXXFLAGS) \
122        $(CXXFLAGS) $(test_LDFLAGS) $(LDFLAGS) -o $@
123AM_V_P = $(am__v_P_@AM_V@)
124am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
125am__v_P_0 = false
126am__v_P_1 = :
127AM_V_GEN = $(am__v_GEN_@AM_V@)
128am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
129am__v_GEN_0 = @echo "  GEN     " $@;
130am__v_GEN_1 =
131AM_V_at = $(am__v_at_@AM_V@)
132am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
133am__v_at_0 = @
134am__v_at_1 =
135DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src/include
136depcomp = $(SHELL) $(top_srcdir)/config/depcomp
137am__depfiles_maybe = depfiles
138am__mv = mv -f
139CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
140        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
141LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
142        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
143        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
144        $(AM_CXXFLAGS) $(CXXFLAGS)
145AM_V_CXX = $(am__v_CXX_@AM_V@)
146am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
147am__v_CXX_0 = @echo "  CXX     " $@;
148am__v_CXX_1 =
149CXXLD = $(CXX)
150CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
151        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
152        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
153AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
154am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
155am__v_CXXLD_0 = @echo "  CXXLD   " $@;
156am__v_CXXLD_1 =
157SOURCES = $(test_SOURCES)
158DIST_SOURCES = $(test_SOURCES)
159am__can_run_installinfo = \
160  case $$AM_UPDATE_INFO_DIR in \
161    n|no|NO) false;; \
162    *) (install-info --version) >/dev/null 2>&1;; \
163  esac
164am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
165# Read a list of newline-separated strings from the standard input,
166# and print each of them once, without duplicates.  Input order is
167# *not* preserved.
168am__uniquify_input = $(AWK) '\
169  BEGIN { nonempty = 0; } \
170  { items[$$0] = 1; nonempty = 1; } \
171  END { if (nonempty) { for (i in items) print i; }; } \
172'
173# Make sure the list of sources is unique.  This is necessary because,
174# e.g., the same source file might be shared among _SOURCES variables
175# for different programs/libraries.
176am__define_uniq_tagged_files = \
177  list='$(am__tagged_files)'; \
178  unique=`for i in $$list; do \
179    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
180  done | $(am__uniquify_input)`
181ETAGS = etags
182CTAGS = ctags
183am__tty_colors_dummy = \
184  mgn= red= grn= lgn= blu= brg= std=; \
185  am__color_tests=no
186am__tty_colors = { \
187  $(am__tty_colors_dummy); \
188  if test "X$(AM_COLOR_TESTS)" = Xno; then \
189    am__color_tests=no; \
190  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
191    am__color_tests=yes; \
192  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
193    am__color_tests=yes; \
194  fi; \
195  if test $$am__color_tests = yes; then \
196    red='[0;31m'; \
197    grn='[0;32m'; \
198    lgn='[1;32m'; \
199    blu='[1;34m'; \
200    mgn='[0;35m'; \
201    brg='[1m'; \
202    std='[m'; \
203  fi; \
204}
205am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
206am__vpath_adj = case $$p in \
207    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
208    *) f=$$p;; \
209  esac;
210am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
211am__install_max = 40
212am__nobase_strip_setup = \
213  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
214am__nobase_strip = \
215  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
216am__nobase_list = $(am__nobase_strip_setup); \
217  for p in $$list; do echo "$$p $$p"; done | \
218  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
219  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
220    if (++n[$$2] == $(am__install_max)) \
221      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
222    END { for (dir in files) print dir, files[dir] }'
223am__base_list = \
224  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
225  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
226am__uninstall_files_from_dir = { \
227  test -z "$$files" \
228    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
229    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
230         $(am__cd) "$$dir" && rm -f $$files; }; \
231  }
232am__recheck_rx = ^[     ]*:recheck:[    ]*
233am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
234am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
235# A command that, given a newline-separated list of test names on the
236# standard input, print the name of the tests that are to be re-run
237# upon "make recheck".
238am__list_recheck_tests = $(AWK) '{ \
239  recheck = 1; \
240  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
241    { \
242      if (rc < 0) \
243        { \
244          if ((getline line2 < ($$0 ".log")) < 0) \
245            recheck = 0; \
246          break; \
247        } \
248      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
249        { \
250          recheck = 0; \
251          break; \
252        } \
253      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
254        { \
255          break; \
256        } \
257    }; \
258  if (recheck) \
259    print $$0; \
260  close ($$0 ".trs"); \
261  close ($$0 ".log"); \
262}'
263# A command that, given a newline-separated list of test names on the
264# standard input, create the global log from their .trs and .log files.
265am__create_global_log = $(AWK) ' \
266function fatal(msg) \
267{ \
268  print "fatal: making $@: " msg | "cat >&2"; \
269  exit 1; \
270} \
271function rst_section(header) \
272{ \
273  print header; \
274  len = length(header); \
275  for (i = 1; i <= len; i = i + 1) \
276    printf "="; \
277  printf "\n\n"; \
278} \
279{ \
280  copy_in_global_log = 1; \
281  global_test_result = "RUN"; \
282  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
283    { \
284      if (rc < 0) \
285         fatal("failed to read from " $$0 ".trs"); \
286      if (line ~ /$(am__global_test_result_rx)/) \
287        { \
288          sub("$(am__global_test_result_rx)", "", line); \
289          sub("[        ]*$$", "", line); \
290          global_test_result = line; \
291        } \
292      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
293        copy_in_global_log = 0; \
294    }; \
295  if (copy_in_global_log) \
296    { \
297      rst_section(global_test_result ": " $$0); \
298      while ((rc = (getline line < ($$0 ".log"))) != 0) \
299      { \
300        if (rc < 0) \
301          fatal("failed to read from " $$0 ".log"); \
302        print line; \
303      }; \
304      printf "\n"; \
305    }; \
306  close ($$0 ".trs"); \
307  close ($$0 ".log"); \
308}'
309# Restructured Text title.
310am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
311# Solaris 10 'make', and several other traditional 'make' implementations,
312# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
313# by disabling -e (using the XSI extension "set +e") if it's set.
314am__sh_e_setup = case $$- in *e*) set +e;; esac
315# Default flags passed to test drivers.
316am__common_driver_flags = \
317  --color-tests "$$am__color_tests" \
318  --enable-hard-errors "$$am__enable_hard_errors" \
319  --expect-failure "$$am__expect_failure"
320# To be inserted before the command running the test.  Creates the
321# directory for the log if needed.  Stores in $dir the directory
322# containing $f, in $tst the test, in $log the log.  Executes the
323# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
324# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
325# will run the test scripts (or their associated LOG_COMPILER, if
326# thy have one).
327am__check_pre = \
328$(am__sh_e_setup);                                      \
329$(am__vpath_adj_setup) $(am__vpath_adj)                 \
330$(am__tty_colors);                                      \
331srcdir=$(srcdir); export srcdir;                        \
332case "$@" in                                            \
333  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
334    *) am__odir=.;;                                     \
335esac;                                                   \
336test "x$$am__odir" = x"." || test -d "$$am__odir"       \
337  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
338if test -f "./$$f"; then dir=./;                        \
339elif test -f "$$f"; then dir=;                          \
340else dir="$(srcdir)/"; fi;                              \
341tst=$$dir$$f; log='$@';                                 \
342if test -n '$(DISABLE_HARD_ERRORS)'; then               \
343  am__enable_hard_errors=no;                            \
344else                                                    \
345  am__enable_hard_errors=yes;                           \
346fi;                                                     \
347case " $(XFAIL_TESTS) " in                              \
348  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
349    am__expect_failure=yes;;                            \
350  *)                                                    \
351    am__expect_failure=no;;                             \
352esac;                                                   \
353$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
354# A shell command to get the names of the tests scripts with any registered
355# extension removed (i.e., equivalently, the names of the test logs, with
356# the '.log' extension removed).  The result is saved in the shell variable
357# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
358# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
359# since that might cause problem with VPATH rewrites for suffix-less tests.
360# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
361am__set_TESTS_bases = \
362  bases='$(TEST_LOGS)'; \
363  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
364  bases=`echo $$bases`
365RECHECK_LOGS = $(TEST_LOGS)
366AM_RECURSIVE_TARGETS = check recheck
367TEST_SUITE_LOG = test-suite.log
368TEST_EXTENSIONS = @EXEEXT@ .test
369LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
370LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
371am__set_b = \
372  case '$@' in \
373    */*) \
374      case '$*' in \
375        */*) b='$*';; \
376          *) b=`echo '$@' | sed 's/\.log$$//'`; \
377       esac;; \
378    *) \
379      b='$*';; \
380  esac
381am__test_logs1 = $(TESTS:=.log)
382am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
383TEST_LOGS = $(am__test_logs2:.test.log=.log)
384TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
385TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
386        $(TEST_LOG_FLAGS)
387DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
388ACLOCAL = @ACLOCAL@
389AMTAR = @AMTAR@
390AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
391AR = @AR@
392AUTOCONF = @AUTOCONF@
393AUTOHEADER = @AUTOHEADER@
394AUTOMAKE = @AUTOMAKE@
395AWK = @AWK@
396CC = @CC@
397CCDEPMODE = @CCDEPMODE@
398CFLAGS = @CFLAGS@
399CPP = @CPP@
400CPPFLAGS = @CPPFLAGS@
401CPPUNIT_CFLAGS = @CPPUNIT_CFLAGS@
402CPPUNIT_CONFIG = @CPPUNIT_CONFIG@
403CPPUNIT_LIBS = @CPPUNIT_LIBS@
404CXX = @CXX@
405CXXCPP = @CXXCPP@
406CXXDEPMODE = @CXXDEPMODE@
407CXXFLAGS = @CXXFLAGS@
408CYGPATH_W = @CYGPATH_W@
409DEFS = @DEFS@
410DEPDIR = @DEPDIR@
411DLLTOOL = @DLLTOOL@
412DSYMUTIL = @DSYMUTIL@
413DUMPBIN = @DUMPBIN@
414ECHO_C = @ECHO_C@
415ECHO_N = @ECHO_N@
416ECHO_T = @ECHO_T@
417EGREP = @EGREP@
418EXEEXT = @EXEEXT@
419FGREP = @FGREP@
420FILEZILLA_LINGUAS = @FILEZILLA_LINGUAS@
421FILEZILLA_LINGUAS_MO = @FILEZILLA_LINGUAS_MO@
422FILEZILLA_LINGUAS_PO = @FILEZILLA_LINGUAS_PO@
423FILEZILLA_LINGUAS_PO_NEW = @FILEZILLA_LINGUAS_PO_NEW@
424GREP = @GREP@
425HAVE_CXX14 = @HAVE_CXX14@
426IDN_LIB = @IDN_LIB@
427INSTALL = @INSTALL@
428INSTALL_DATA = @INSTALL_DATA@
429INSTALL_PROGRAM = @INSTALL_PROGRAM@
430INSTALL_SCRIPT = @INSTALL_SCRIPT@
431INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
432LD = @LD@
433LDFLAGS = @LDFLAGS@
434LIBDBUS_CFLAGS = @LIBDBUS_CFLAGS@
435LIBDBUS_LIBS = @LIBDBUS_LIBS@
436LIBFILEZILLA_CFLAGS = @LIBFILEZILLA_CFLAGS@
437LIBFILEZILLA_LIBS = @LIBFILEZILLA_LIBS@
438LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
439LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
440LIBGTK_CFLAGS = @LIBGTK_CFLAGS@
441LIBGTK_LIBS = @LIBGTK_LIBS@
442LIBOBJS = @LIBOBJS@
443LIBS = @LIBS@
444LIBSQLITE3_CFLAGS = @LIBSQLITE3_CFLAGS@
445LIBSQLITE3_LIBS = @LIBSQLITE3_LIBS@
446LIBTOOL = @LIBTOOL@
447LIPO = @LIPO@
448LN_S = @LN_S@
449LTLIBOBJS = @LTLIBOBJS@
450MAKEINFO = @MAKEINFO@
451MANIFEST_TOOL = @MANIFEST_TOOL@
452MKDIR_P = @MKDIR_P@
453NM = @NM@
454NMEDIT = @NMEDIT@
455NSIS_64BIT = @NSIS_64BIT@
456OBJDUMP = @OBJDUMP@
457OBJEXT = @OBJEXT@
458OTOOL = @OTOOL@
459OTOOL64 = @OTOOL64@
460PACKAGE = @PACKAGE@
461PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
462PACKAGE_NAME = @PACKAGE_NAME@
463PACKAGE_STRING = @PACKAGE_STRING@
464PACKAGE_TARNAME = @PACKAGE_TARNAME@
465PACKAGE_URL = @PACKAGE_URL@
466PACKAGE_VERSION = @PACKAGE_VERSION@
467PACKAGE_VERSION_MAJOR = @PACKAGE_VERSION_MAJOR@
468PACKAGE_VERSION_MICRO = @PACKAGE_VERSION_MICRO@
469PACKAGE_VERSION_MINOR = @PACKAGE_VERSION_MINOR@
470PACKAGE_VERSION_NANO = @PACKAGE_VERSION_NANO@
471PATH_SEPARATOR = @PATH_SEPARATOR@
472PKG_CONFIG = @PKG_CONFIG@
473PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
474PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
475PUGIXML_LIBS = @PUGIXML_LIBS@
476RANLIB = @RANLIB@
477SED = @SED@
478SET_MAKE = @SET_MAKE@
479SHELL = @SHELL@
480STRIP = @STRIP@
481VERSION = @VERSION@
482WINDRES = @WINDRES@
483WINDRESFLAGS = @WINDRESFLAGS@
484WXRC = @WXRC@
485WX_CFLAGS = @WX_CFLAGS@
486WX_CFLAGS_ONLY = @WX_CFLAGS_ONLY@
487WX_CONFIG_PATH = @WX_CONFIG_PATH@
488WX_CONFIG_WITH_ARGS = @WX_CONFIG_WITH_ARGS@
489WX_CPPFLAGS = @WX_CPPFLAGS@
490WX_CXXFLAGS = @WX_CXXFLAGS@
491WX_CXXFLAGS_ONLY = @WX_CXXFLAGS_ONLY@
492WX_LIBS = @WX_LIBS@
493WX_LIBS_STATIC = @WX_LIBS_STATIC@
494WX_RESCOMP = @WX_RESCOMP@
495WX_VERSION = @WX_VERSION@
496WX_VERSION_MAJOR = @WX_VERSION_MAJOR@
497WX_VERSION_MICRO = @WX_VERSION_MICRO@
498WX_VERSION_MINOR = @WX_VERSION_MINOR@
499abs_builddir = @abs_builddir@
500abs_srcdir = @abs_srcdir@
501abs_top_builddir = @abs_top_builddir@
502abs_top_srcdir = @abs_top_srcdir@
503ac_ct_AR = @ac_ct_AR@
504ac_ct_CC = @ac_ct_CC@
505ac_ct_CXX = @ac_ct_CXX@
506ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
507am__include = @am__include@
508am__leading_dot = @am__leading_dot@
509am__quote = @am__quote@
510am__tar = @am__tar@
511am__untar = @am__untar@
512bindir = @bindir@
513build = @build@
514build_alias = @build_alias@
515build_cpu = @build_cpu@
516build_os = @build_os@
517build_vendor = @build_vendor@
518builddir = @builddir@
519datadir = @datadir@
520datarootdir = @datarootdir@
521docdir = @docdir@
522dvidir = @dvidir@
523exec_prefix = @exec_prefix@
524host = @host@
525host_alias = @host_alias@
526host_cpu = @host_cpu@
527host_os = @host_os@
528host_vendor = @host_vendor@
529htmldir = @htmldir@
530includedir = @includedir@
531infodir = @infodir@
532install_sh = @install_sh@
533libdir = @libdir@
534libexecdir = @libexecdir@
535localedir = @localedir@
536localstatedir = @localstatedir@
537mandir = @mandir@
538mkdir_p = @mkdir_p@
539msgfmt = @msgfmt@
540msgmerge = @msgmerge@
541oldincludedir = @oldincludedir@
542pdfdir = @pdfdir@
543prefix = @prefix@
544program_transform_name = @program_transform_name@
545psdir = @psdir@
546sbindir = @sbindir@
547sharedstatedir = @sharedstatedir@
548srcdir = @srcdir@
549subdirs = @subdirs@
550sysconfdir = @sysconfdir@
551target_alias = @target_alias@
552top_build_prefix = @top_build_prefix@
553top_builddir = @top_builddir@
554top_srcdir = @top_srcdir@
555xdgopen = @xdgopen@
556xgettext = @xgettext@
557test_SOURCES = test.cpp \
558                cmpnatural.cpp \
559                dirparsertest.cpp \
560                localpathtest.cpp \
561                serverpathtest.cpp
562
563test_CPPFLAGS = -I$(top_srcdir)/src/include -I$(top_srcdir)/src/engine \
564        $(LIBFILEZILLA_CFLAGS) $(WX_CPPFLAGS)
565test_CXXFLAGS = $(WX_CXXFLAGS_ONLY) $(CPPUNIT_CFLAGS)
566test_LDFLAGS = $(CPPUNIT_LIBS) ../src/engine/libengine.a \
567        $(LIBFILEZILLA_LIBS) $(LIBGNUTLS_LIBS) $(WX_LIBS) $(IDN_LIB) \
568        $(LIBSQLITE3_LIBS)
569test_DEPENDENCIES = ../src/engine/libengine.a
570all: all-am
571
572.SUFFIXES:
573.SUFFIXES: .cpp .lo .log .o .obj .test .test$(EXEEXT) .trs
574$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
575        @for dep in $?; do \
576          case '$(am__configure_deps)' in \
577            *$$dep*) \
578              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
579                && { if test -f $@; then exit 0; else break; fi; }; \
580              exit 1;; \
581          esac; \
582        done; \
583        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
584        $(am__cd) $(top_srcdir) && \
585          $(AUTOMAKE) --gnu tests/Makefile
586.PRECIOUS: Makefile
587Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
588        @case '$?' in \
589          *config.status*) \
590            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
591          *) \
592            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
593            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
594        esac;
595
596$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
597        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
598
599$(top_srcdir)/configure:  $(am__configure_deps)
600        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
601$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
602        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
603$(am__aclocal_m4_deps):
604
605clean-checkPROGRAMS:
606        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
607        echo " rm -f" $$list; \
608        rm -f $$list || exit $$?; \
609        test -n "$(EXEEXT)" || exit 0; \
610        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
611        echo " rm -f" $$list; \
612        rm -f $$list
613
614test$(EXEEXT): $(test_OBJECTS) $(test_DEPENDENCIES) $(EXTRA_test_DEPENDENCIES)
615        @rm -f test$(EXEEXT)
616        $(AM_V_CXXLD)$(test_LINK) $(test_OBJECTS) $(test_LDADD) $(LIBS)
617
618mostlyclean-compile:
619        -rm -f *.$(OBJEXT)
620
621distclean-compile:
622        -rm -f *.tab.c
623
624@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-cmpnatural.Po@am__quote@
625@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-dirparsertest.Po@am__quote@
626@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-localpathtest.Po@am__quote@
627@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-serverpathtest.Po@am__quote@
628@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-test.Po@am__quote@
629
630.cpp.o:
631@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
632@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
633@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
634@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
635@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
636
637.cpp.obj:
638@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
639@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
640@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
641@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
642@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
643
644.cpp.lo:
645@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
646@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
647@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
648@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
649@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
650
651test-test.o: test.cpp
652@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-test.o -MD -MP -MF $(DEPDIR)/test-test.Tpo -c -o test-test.o `test -f 'test.cpp' || echo '$(srcdir)/'`test.cpp
653@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-test.Tpo $(DEPDIR)/test-test.Po
654@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='test.cpp' object='test-test.o' libtool=no @AMDEPBACKSLASH@
655@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
656@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-test.o `test -f 'test.cpp' || echo '$(srcdir)/'`test.cpp
657
658test-test.obj: test.cpp
659@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-test.obj -MD -MP -MF $(DEPDIR)/test-test.Tpo -c -o test-test.obj `if test -f 'test.cpp'; then $(CYGPATH_W) 'test.cpp'; else $(CYGPATH_W) '$(srcdir)/test.cpp'; fi`
660@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-test.Tpo $(DEPDIR)/test-test.Po
661@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='test.cpp' object='test-test.obj' libtool=no @AMDEPBACKSLASH@
662@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
663@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-test.obj `if test -f 'test.cpp'; then $(CYGPATH_W) 'test.cpp'; else $(CYGPATH_W) '$(srcdir)/test.cpp'; fi`
664
665test-cmpnatural.o: cmpnatural.cpp
666@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-cmpnatural.o -MD -MP -MF $(DEPDIR)/test-cmpnatural.Tpo -c -o test-cmpnatural.o `test -f 'cmpnatural.cpp' || echo '$(srcdir)/'`cmpnatural.cpp
667@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-cmpnatural.Tpo $(DEPDIR)/test-cmpnatural.Po
668@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='cmpnatural.cpp' object='test-cmpnatural.o' libtool=no @AMDEPBACKSLASH@
669@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
670@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-cmpnatural.o `test -f 'cmpnatural.cpp' || echo '$(srcdir)/'`cmpnatural.cpp
671
672test-cmpnatural.obj: cmpnatural.cpp
673@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-cmpnatural.obj -MD -MP -MF $(DEPDIR)/test-cmpnatural.Tpo -c -o test-cmpnatural.obj `if test -f 'cmpnatural.cpp'; then $(CYGPATH_W) 'cmpnatural.cpp'; else $(CYGPATH_W) '$(srcdir)/cmpnatural.cpp'; fi`
674@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-cmpnatural.Tpo $(DEPDIR)/test-cmpnatural.Po
675@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='cmpnatural.cpp' object='test-cmpnatural.obj' libtool=no @AMDEPBACKSLASH@
676@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
677@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-cmpnatural.obj `if test -f 'cmpnatural.cpp'; then $(CYGPATH_W) 'cmpnatural.cpp'; else $(CYGPATH_W) '$(srcdir)/cmpnatural.cpp'; fi`
678
679test-dirparsertest.o: dirparsertest.cpp
680@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-dirparsertest.o -MD -MP -MF $(DEPDIR)/test-dirparsertest.Tpo -c -o test-dirparsertest.o `test -f 'dirparsertest.cpp' || echo '$(srcdir)/'`dirparsertest.cpp
681@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-dirparsertest.Tpo $(DEPDIR)/test-dirparsertest.Po
682@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='dirparsertest.cpp' object='test-dirparsertest.o' libtool=no @AMDEPBACKSLASH@
683@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
684@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-dirparsertest.o `test -f 'dirparsertest.cpp' || echo '$(srcdir)/'`dirparsertest.cpp
685
686test-dirparsertest.obj: dirparsertest.cpp
687@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-dirparsertest.obj -MD -MP -MF $(DEPDIR)/test-dirparsertest.Tpo -c -o test-dirparsertest.obj `if test -f 'dirparsertest.cpp'; then $(CYGPATH_W) 'dirparsertest.cpp'; else $(CYGPATH_W) '$(srcdir)/dirparsertest.cpp'; fi`
688@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-dirparsertest.Tpo $(DEPDIR)/test-dirparsertest.Po
689@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='dirparsertest.cpp' object='test-dirparsertest.obj' libtool=no @AMDEPBACKSLASH@
690@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
691@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-dirparsertest.obj `if test -f 'dirparsertest.cpp'; then $(CYGPATH_W) 'dirparsertest.cpp'; else $(CYGPATH_W) '$(srcdir)/dirparsertest.cpp'; fi`
692
693test-localpathtest.o: localpathtest.cpp
694@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-localpathtest.o -MD -MP -MF $(DEPDIR)/test-localpathtest.Tpo -c -o test-localpathtest.o `test -f 'localpathtest.cpp' || echo '$(srcdir)/'`localpathtest.cpp
695@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-localpathtest.Tpo $(DEPDIR)/test-localpathtest.Po
696@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='localpathtest.cpp' object='test-localpathtest.o' libtool=no @AMDEPBACKSLASH@
697@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
698@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-localpathtest.o `test -f 'localpathtest.cpp' || echo '$(srcdir)/'`localpathtest.cpp
699
700test-localpathtest.obj: localpathtest.cpp
701@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-localpathtest.obj -MD -MP -MF $(DEPDIR)/test-localpathtest.Tpo -c -o test-localpathtest.obj `if test -f 'localpathtest.cpp'; then $(CYGPATH_W) 'localpathtest.cpp'; else $(CYGPATH_W) '$(srcdir)/localpathtest.cpp'; fi`
702@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-localpathtest.Tpo $(DEPDIR)/test-localpathtest.Po
703@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='localpathtest.cpp' object='test-localpathtest.obj' libtool=no @AMDEPBACKSLASH@
704@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
705@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-localpathtest.obj `if test -f 'localpathtest.cpp'; then $(CYGPATH_W) 'localpathtest.cpp'; else $(CYGPATH_W) '$(srcdir)/localpathtest.cpp'; fi`
706
707test-serverpathtest.o: serverpathtest.cpp
708@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-serverpathtest.o -MD -MP -MF $(DEPDIR)/test-serverpathtest.Tpo -c -o test-serverpathtest.o `test -f 'serverpathtest.cpp' || echo '$(srcdir)/'`serverpathtest.cpp
709@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-serverpathtest.Tpo $(DEPDIR)/test-serverpathtest.Po
710@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='serverpathtest.cpp' object='test-serverpathtest.o' libtool=no @AMDEPBACKSLASH@
711@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
712@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-serverpathtest.o `test -f 'serverpathtest.cpp' || echo '$(srcdir)/'`serverpathtest.cpp
713
714test-serverpathtest.obj: serverpathtest.cpp
715@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-serverpathtest.obj -MD -MP -MF $(DEPDIR)/test-serverpathtest.Tpo -c -o test-serverpathtest.obj `if test -f 'serverpathtest.cpp'; then $(CYGPATH_W) 'serverpathtest.cpp'; else $(CYGPATH_W) '$(srcdir)/serverpathtest.cpp'; fi`
716@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-serverpathtest.Tpo $(DEPDIR)/test-serverpathtest.Po
717@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='serverpathtest.cpp' object='test-serverpathtest.obj' libtool=no @AMDEPBACKSLASH@
718@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
719@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-serverpathtest.obj `if test -f 'serverpathtest.cpp'; then $(CYGPATH_W) 'serverpathtest.cpp'; else $(CYGPATH_W) '$(srcdir)/serverpathtest.cpp'; fi`
720
721mostlyclean-libtool:
722        -rm -f *.lo
723
724clean-libtool:
725        -rm -rf .libs _libs
726
727ID: $(am__tagged_files)
728        $(am__define_uniq_tagged_files); mkid -fID $$unique
729tags: tags-am
730TAGS: tags
731
732tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
733        set x; \
734        here=`pwd`; \
735        $(am__define_uniq_tagged_files); \
736        shift; \
737        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
738          test -n "$$unique" || unique=$$empty_fix; \
739          if test $$# -gt 0; then \
740            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
741              "$$@" $$unique; \
742          else \
743            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
744              $$unique; \
745          fi; \
746        fi
747ctags: ctags-am
748
749CTAGS: ctags
750ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
751        $(am__define_uniq_tagged_files); \
752        test -z "$(CTAGS_ARGS)$$unique" \
753          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
754             $$unique
755
756GTAGS:
757        here=`$(am__cd) $(top_builddir) && pwd` \
758          && $(am__cd) $(top_srcdir) \
759          && gtags -i $(GTAGS_ARGS) "$$here"
760cscopelist: cscopelist-am
761
762cscopelist-am: $(am__tagged_files)
763        list='$(am__tagged_files)'; \
764        case "$(srcdir)" in \
765          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
766          *) sdir=$(subdir)/$(srcdir) ;; \
767        esac; \
768        for i in $$list; do \
769          if test -f "$$i"; then \
770            echo "$(subdir)/$$i"; \
771          else \
772            echo "$$sdir/$$i"; \
773          fi; \
774        done >> $(top_builddir)/cscope.files
775
776distclean-tags:
777        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
778
779# Recover from deleted '.trs' file; this should ensure that
780# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
781# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
782# to avoid problems with "make -n".
783.log.trs:
784        rm -f $< $@
785        $(MAKE) $(AM_MAKEFLAGS) $<
786
787# Leading 'am--fnord' is there to ensure the list of targets does not
788# expand to empty, as could happen e.g. with make check TESTS=''.
789am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
790am--force-recheck:
791        @:
792
793$(TEST_SUITE_LOG): $(TEST_LOGS)
794        @$(am__set_TESTS_bases); \
795        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
796        redo_bases=`for i in $$bases; do \
797                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
798                    done`; \
799        if test -n "$$redo_bases"; then \
800          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
801          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
802          if $(am__make_dryrun); then :; else \
803            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
804          fi; \
805        fi; \
806        if test -n "$$am__remaking_logs"; then \
807          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
808               "recursion detected" >&2; \
809        else \
810          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
811        fi; \
812        if $(am__make_dryrun); then :; else \
813          st=0;  \
814          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
815          for i in $$redo_bases; do \
816            test -f $$i.trs && test -r $$i.trs \
817              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
818            test -f $$i.log && test -r $$i.log \
819              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
820          done; \
821          test $$st -eq 0 || exit 1; \
822        fi
823        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
824        ws='[   ]'; \
825        results=`for b in $$bases; do echo $$b.trs; done`; \
826        test -n "$$results" || results=/dev/null; \
827        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
828        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
829        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
830        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
831        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
832        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
833        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
834        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
835          success=true; \
836        else \
837          success=false; \
838        fi; \
839        br='==================='; br=$$br$$br$$br$$br; \
840        result_count () \
841        { \
842            if test x"$$1" = x"--maybe-color"; then \
843              maybe_colorize=yes; \
844            elif test x"$$1" = x"--no-color"; then \
845              maybe_colorize=no; \
846            else \
847              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
848            fi; \
849            shift; \
850            desc=$$1 count=$$2; \
851            if test $$maybe_colorize = yes && test $$count -gt 0; then \
852              color_start=$$3 color_end=$$std; \
853            else \
854              color_start= color_end=; \
855            fi; \
856            echo "$${color_start}# $$desc $$count$${color_end}"; \
857        }; \
858        create_testsuite_report () \
859        { \
860          result_count $$1 "TOTAL:" $$all   "$$brg"; \
861          result_count $$1 "PASS: " $$pass  "$$grn"; \
862          result_count $$1 "SKIP: " $$skip  "$$blu"; \
863          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
864          result_count $$1 "FAIL: " $$fail  "$$red"; \
865          result_count $$1 "XPASS:" $$xpass "$$red"; \
866          result_count $$1 "ERROR:" $$error "$$mgn"; \
867        }; \
868        {                                                               \
869          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
870            $(am__rst_title);                                           \
871          create_testsuite_report --no-color;                           \
872          echo;                                                         \
873          echo ".. contents:: :depth: 2";                               \
874          echo;                                                         \
875          for b in $$bases; do echo $$b; done                           \
876            | $(am__create_global_log);                                 \
877        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
878        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
879        if $$success; then                                              \
880          col="$$grn";                                                  \
881         else                                                           \
882          col="$$red";                                                  \
883          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
884        fi;                                                             \
885        echo "$${col}$$br$${std}";                                      \
886        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
887        echo "$${col}$$br$${std}";                                      \
888        create_testsuite_report --maybe-color;                          \
889        echo "$$col$$br$$std";                                          \
890        if $$success; then :; else                                      \
891          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
892          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
893            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
894          fi;                                                           \
895          echo "$$col$$br$$std";                                        \
896        fi;                                                             \
897        $$success || exit 1
898
899check-TESTS:
900        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
901        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
902        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
903        @set +e; $(am__set_TESTS_bases); \
904        log_list=`for i in $$bases; do echo $$i.log; done`; \
905        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
906        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
907        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
908        exit $$?;
909recheck: all $(check_PROGRAMS)
910        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
911        @set +e; $(am__set_TESTS_bases); \
912        bases=`for i in $$bases; do echo $$i; done \
913                 | $(am__list_recheck_tests)` || exit 1; \
914        log_list=`for i in $$bases; do echo $$i.log; done`; \
915        log_list=`echo $$log_list`; \
916        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
917                am__force_recheck=am--force-recheck \
918                TEST_LOGS="$$log_list"; \
919        exit $$?
920test.log: test$(EXEEXT)
921        @p='test$(EXEEXT)'; \
922        b='test'; \
923        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
924        --log-file $$b.log --trs-file $$b.trs \
925        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
926        "$$tst" $(AM_TESTS_FD_REDIRECT)
927.test.log:
928        @p='$<'; \
929        $(am__set_b); \
930        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
931        --log-file $$b.log --trs-file $$b.trs \
932        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
933        "$$tst" $(AM_TESTS_FD_REDIRECT)
934@am__EXEEXT_TRUE@.test$(EXEEXT).log:
935@am__EXEEXT_TRUE@       @p='$<'; \
936@am__EXEEXT_TRUE@       $(am__set_b); \
937@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
938@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
939@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
940@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
941
942distdir: $(DISTFILES)
943        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
944        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
945        list='$(DISTFILES)'; \
946          dist_files=`for file in $$list; do echo $$file; done | \
947          sed -e "s|^$$srcdirstrip/||;t" \
948              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
949        case $$dist_files in \
950          */*) $(MKDIR_P) `echo "$$dist_files" | \
951                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
952                           sort -u` ;; \
953        esac; \
954        for file in $$dist_files; do \
955          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
956          if test -d $$d/$$file; then \
957            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
958            if test -d "$(distdir)/$$file"; then \
959              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
960            fi; \
961            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
962              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
963              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
964            fi; \
965            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
966          else \
967            test -f "$(distdir)/$$file" \
968            || cp -p $$d/$$file "$(distdir)/$$file" \
969            || exit 1; \
970          fi; \
971        done
972check-am: all-am
973        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
974        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
975check: check-am
976all-am: Makefile
977installdirs:
978install: install-am
979install-exec: install-exec-am
980install-data: install-data-am
981uninstall: uninstall-am
982
983install-am: all-am
984        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
985
986installcheck: installcheck-am
987install-strip:
988        if test -z '$(STRIP)'; then \
989          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
990            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
991              install; \
992        else \
993          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
994            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
995            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
996        fi
997mostlyclean-generic:
998        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
999        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1000        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1001
1002clean-generic:
1003
1004distclean-generic:
1005        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1006        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1007
1008maintainer-clean-generic:
1009        @echo "This command is intended for maintainers to use"
1010        @echo "it deletes files that may require special tools to rebuild."
1011clean: clean-am
1012
1013clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1014        mostlyclean-am
1015
1016distclean: distclean-am
1017        -rm -rf ./$(DEPDIR)
1018        -rm -f Makefile
1019distclean-am: clean-am distclean-compile distclean-generic \
1020        distclean-tags
1021
1022dvi: dvi-am
1023
1024dvi-am:
1025
1026html: html-am
1027
1028html-am:
1029
1030info: info-am
1031
1032info-am:
1033
1034install-data-am:
1035
1036install-dvi: install-dvi-am
1037
1038install-dvi-am:
1039
1040install-exec-am:
1041
1042install-html: install-html-am
1043
1044install-html-am:
1045
1046install-info: install-info-am
1047
1048install-info-am:
1049
1050install-man:
1051
1052install-pdf: install-pdf-am
1053
1054install-pdf-am:
1055
1056install-ps: install-ps-am
1057
1058install-ps-am:
1059
1060installcheck-am:
1061
1062maintainer-clean: maintainer-clean-am
1063        -rm -rf ./$(DEPDIR)
1064        -rm -f Makefile
1065maintainer-clean-am: distclean-am maintainer-clean-generic
1066
1067mostlyclean: mostlyclean-am
1068
1069mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1070        mostlyclean-libtool
1071
1072pdf: pdf-am
1073
1074pdf-am:
1075
1076ps: ps-am
1077
1078ps-am:
1079
1080uninstall-am:
1081
1082.MAKE: check-am install-am install-strip
1083
1084.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1085        clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1086        ctags ctags-am distclean distclean-compile distclean-generic \
1087        distclean-libtool distclean-tags distdir dvi dvi-am html \
1088        html-am info info-am install install-am install-data \
1089        install-data-am install-dvi install-dvi-am install-exec \
1090        install-exec-am install-html install-html-am install-info \
1091        install-info-am install-man install-pdf install-pdf-am \
1092        install-ps install-ps-am install-strip installcheck \
1093        installcheck-am installdirs maintainer-clean \
1094        maintainer-clean-generic mostlyclean mostlyclean-compile \
1095        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1096        recheck tags tags-am uninstall uninstall-am
1097
1098
1099# Tell versions [3.59,3.63) of GNU make to not export all variables.
1100# Otherwise a system limit (for SysV at least) may be exceeded.
1101.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.